MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025823Open CASCADE[OCCT] OCCT:Shape Healingpublic2015-02-12 14:452015-05-14 15:31
Reporterakz 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025823: Self Intersecting wire translated from STEP file
DescriptionAttached STEP contains the face bounded by two edge loops. Resulting translated wire is self intersecting.

(The problem with top and bottom faces will be fixed in http://tracker.dev.opencascade.org/view.php?id=24595 [^]).
Steps To ReproduceTest script bug25823
TagsNo tags attached.
Test case numberbugs heal(010) bug25823
Attached Files? file icon 280612.stp (909,537 bytes) 2015-02-12 14:45
png file icon intersection.png (7,105 bytes) 2015-02-12 14:45
? file icon bug25823 (580 bytes) 2015-02-16 19:02

- Relationships

-  Notes
(0037586)
git (administrator)
2015-02-16 18:52

Branch CR25823 has been created by akz.

SHA-1: cd4e9f42931b47aa94a6aec5c9cf68710390c9ea


Detailed log of new commits:

Author: akz
Date: Mon Feb 16 18:45:15 2015 +0300

    0025823: Self Intersecting wire translated from STEP file
    
    The number of points to divide the edge curve on a segments to compute a
    boundary box does not provide a good tolerance. So a resultant boundary
    box has an incorrect bounds. As a result the intersection near to a
    tangent of curve does not detected.
(0037588)
akz (developer)
2015-02-16 19:03

Branch CR25823 is ready to be reviewed.
(0037629)
gka (developer)
2015-02-17 16:04

Branch CR25823 is ready to be tested
(0037647)
git (administrator)
2015-02-17 19:18

Branch CR25823 has been updated forcibly by mkv.

SHA-1: 4033dada447fe180305739932e1c7beebabedd35
(0037677)
mkv (tester)
2015-02-18 19:03

Dear BugMaster,
Branch CR25823 was rebased on current master of occt git-repository.
(0037678)
mkv (tester)
2015-02-18 19:03

Dear BugMaster,
Branch CR25823 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 4033dada447fe180305739932e1c7beebabedd35

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25823-master-occt/Debian60-64/bugs/heal/bug25823.html [^]
http://occt-tests/CR25823-master-occt/Windows-32-VC10/bugs/heal/bug25823.html [^]
bugs heal(010) bug25823: OK

Testing on Linux:
occt component :
Total MEMORY difference: 84847272 / 86214576
Total CPU difference: 50184.16000000029 / 48446.02999999995
products component :
Total MEMORY difference: 23030689 / 23047625
Total CPU difference: 16045.42999999998 / 15597.129999999992

Testing on Windows:
occt component :
Total MEMORY difference: 40697971 / 40708321
Total CPU difference: 34194.453125 / 34798.28125
products component :
Total MEMORY difference: 11056827 / 11104501
Total CPU difference: 13432.734375 / 12082.625

There are no differences in images found by testdiff.
(0037679)
git (administrator)
2015-02-18 19:04

Branch CR25823 has been updated by mkv.

SHA-1: 3ee9792b7ab4e2024b568837a811481b769da2f0


Detailed log of new commits:

Author: mkv
Date: Wed Feb 18 19:02:18 2015 +0300

    Test case for issue CR25823

(0038607)
git (administrator)
2015-03-18 13:38

Branch CR25823 has been deleted by inv.

SHA-1: 3ee9792b7ab4e2024b568837a811481b769da2f0

- Related Changesets
occt: master 696d81d0
Timestamp: 2015-02-19 12:14:11
Author: akz
Committer: bugmaster
Details ] Diff ]
0025823: Self Intersecting wire translated from STEP file

The number of points to divide the edge curve on a segments to compute a
boundary box does not provide a good tolerance. So a resultant boundary
box has an incorrect bounds. As a result the intersection near to a
tangent of curve does not detected.

Test case for issue CR25823
mod - src/ShapeFix/ShapeFix_ComposeShell.cxx Diff ] File ]
add - tests/bugs/heal/bug25823 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-12 14:45 akz New Issue
2015-02-12 14:45 akz Assigned To => gka
2015-02-12 14:45 akz File Added: 280612.stp
2015-02-12 14:45 akz File Added: intersection.png
2015-02-12 16:53 gka Assigned To gka => akz
2015-02-12 16:53 gka Status new => assigned
2015-02-16 18:52 git Note Added: 0037586
2015-02-16 19:02 akz File Added: bug25823
2015-02-16 19:03 akz Note Added: 0037588
2015-02-16 19:03 akz Assigned To akz => gka
2015-02-16 19:03 akz Status assigned => resolved
2015-02-16 19:03 akz Steps to Reproduce Updated View Revisions
2015-02-16 19:05 akz Category OCCT:Data Exchange => OCCT:Shape Healing
2015-02-17 16:04 gka Note Added: 0037629
2015-02-17 16:04 gka Assigned To gka => bugmaster
2015-02-17 16:04 gka Status resolved => reviewed
2015-02-17 18:56 mkv Assigned To bugmaster => mkv
2015-02-17 19:18 git Note Added: 0037647
2015-02-18 19:03 mkv Note Added: 0037677
2015-02-18 19:03 mkv Note Added: 0037678
2015-02-18 19:03 mkv Assigned To mkv => bugmaster
2015-02-18 19:03 mkv Status reviewed => tested
2015-02-18 19:04 git Note Added: 0037679
2015-02-18 19:04 mkv Test case number => bugs heal(010) bug25823
2015-02-20 17:21 bugmaster Changeset attached => occt master 696d81d0
2015-02-20 17:21 bugmaster Status tested => verified
2015-02-20 17:21 bugmaster Resolution open => fixed
2015-03-18 13:38 git Note Added: 0038607
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker